<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">58</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">292</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">5000</item> <!-- 5000mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>4</value>
    <value>3</value>
    <value>1</value>
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>307200</value>
    <value>403200</value>
    <value>518400</value>
    <value>614400</value>
    <value>729600</value>
    <value>825600</value>
    <value>921600</value>
    <value>1017600</value>
    <value>1113600</value>
    <value>1228800</value>
    <value>1324800</value>
    <value>1420800</value>
    <value>1516800</value>
    <value>1632000</value>
    <value>1728000</value>
    <value>1824000</value>
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>307200</value>
    <value>422400</value>
    <value>537600</value>
    <value>652800</value>
    <value>768000</value>
    <value>883200</value>
    <value>998400</value>
    <value>1113600</value>
    <value>1228800</value>
    <value>1344000</value>
    <value>1459200</value>
    <value>1555200</value>
    <value>1670400</value>
    <value>1766400</value>
    <value>1881600</value>
    <value>1996800</value>
    <value>2112000</value>
    <value>2227200</value>
    <value>2342400</value>
  </array>
  <array name="cpu.core_speeds.cluster2">
    <value>384000</value>
    <value>499200</value>
    <value>633600</value>
    <value>748800</value>
    <value>883200</value>
    <value>998400</value>
    <value>1132800</value>
    <value>1248000</value>
    <value>1382400</value>
    <value>1497600</value>
    <value>1593600</value>
    <value>1708800</value>
    <value>1804800</value>
    <value>1920000</value>
    <value>2016000</value>
    <value>2131200</value>
    <value>2246400</value>
    <value>2361600</value>
    <value>2476800</value>
    <value>2592000</value>
    <value>2707200</value>
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>18</value>
    <value>23</value>
    <value>30</value>
    <value>40</value>
    <value>49</value>
    <value>57</value>
    <value>66</value>
    <value>76</value>
    <value>87</value>
    <value>112</value>
    <value>127</value>
    <value>151</value>
    <value>170</value>
    <value>208</value>
    <value>244</value>
    <value>273</value>
  </array>
  <array name="cpu.core_power.cluster1">
    <value>102</value>
    <value>124</value>
    <value>142</value>
    <value>158</value>
    <value>187</value>
    <value>223</value>
    <value>256</value>
    <value>278</value>
    <value>302</value>
    <value>337</value>
    <value>358</value>
    <value>382</value>
    <value>423</value>
    <value>484</value>
    <value>524</value>
    <value>578</value>
    <value>617</value>
    <value>645</value>
    <value>661</value>
  </array>
  <array name="cpu.core_power.cluster2">
    <value>133</value>
    <value>156</value>
    <value>178</value>
    <value>191</value>
    <value>218</value>
    <value>243</value>
    <value>286</value>
    <value>319</value>
    <value>349</value>
    <value>387</value>
    <value>434</value>
    <value>481</value>
    <value>539</value>
    <value>587</value>
    <value>622</value>
    <value>683</value>
    <value>736</value>
    <value>792</value>
    <value>876</value>
    <value>944</value>
    <value>962</value>
  </array>
</device>